package com.reptileclient.jlifeapp.entity.hm;

import java.util.Date;

/**
 * 鲸选钟点工订单表
 */
public class JxWorkerOrder {
    private Integer id;

    /**
     * 鲸选单编号
     */
    private String jxOrderNo;

    /**
     * 盒马侧付款单编号
     */
    private String hmPayOrderno;

    /**
     * 服务模式 1保姆 2 保洁
     */
    private Integer serviceModel;

    /**
     * 盒马门店编号
     */
    private String hmShopCode;

    /**
     * 盒马门店名称
     */
    private String hmShopName;

    /**
     * 商品名称
     */
    private String itemName;

    /**
     * 客户姓名
     */
    private String customerName;

    /**
     * 客户手机号-不掩码
     */
    private String customerPhone;

    /**
     * 客户掩码手机号
     */
    private String customerMaskPhone;

    /**
     * 客户地址
     */
    private String customerAddr;

    /**
     * 1 盒马 2其他
     */
    private Integer customerSource;

    /**
     * 订单状态  1已支付 2待匹配 3 服务中 4 已退款 5 服务已完成 6 服务已过期
     */
    private Integer status;

    /**
     * 盒马侧订单状态（已支付后的状态）3 已支付 4 已派单 5已服务 6已取消 9已完成
     */
    private Integer hmStatus;

    private Date writeTime;

    /**
     * 支付时间
     */
    private Date payTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getJxOrderNo() {
        return jxOrderNo;
    }

    public void setJxOrderNo(String jxOrderNo) {
        this.jxOrderNo = jxOrderNo;
    }

    public String getHmPayOrderno() {
        return hmPayOrderno;
    }

    public void setHmPayOrderno(String hmPayOrderno) {
        this.hmPayOrderno = hmPayOrderno;
    }

    public Integer getServiceModel() {
        return serviceModel;
    }

    public void setServiceModel(Integer serviceModel) {
        this.serviceModel = serviceModel;
    }

    public String getHmShopCode() {
        return hmShopCode;
    }

    public void setHmShopCode(String hmShopCode) {
        this.hmShopCode = hmShopCode;
    }

    public String getHmShopName() {
        return hmShopName;
    }

    public void setHmShopName(String hmShopName) {
        this.hmShopName = hmShopName;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getCustomerPhone() {
        return customerPhone;
    }

    public void setCustomerPhone(String customerPhone) {
        this.customerPhone = customerPhone;
    }

    public String getCustomerMaskPhone() {
        return customerMaskPhone;
    }

    public void setCustomerMaskPhone(String customerMaskPhone) {
        this.customerMaskPhone = customerMaskPhone;
    }

    public String getCustomerAddr() {
        return customerAddr;
    }

    public void setCustomerAddr(String customerAddr) {
        this.customerAddr = customerAddr;
    }

    public Integer getCustomerSource() {
        return customerSource;
    }

    public void setCustomerSource(Integer customerSource) {
        this.customerSource = customerSource;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getHmStatus() {
        return hmStatus;
    }

    public void setHmStatus(Integer hmStatus) {
        this.hmStatus = hmStatus;
    }

    public Date getWriteTime() {
        return writeTime;
    }

    public void setWriteTime(Date writeTime) {
        this.writeTime = writeTime;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", jxOrderNo=").append(jxOrderNo);
        sb.append(", hmPayOrderno=").append(hmPayOrderno);
        sb.append(", serviceModel=").append(serviceModel);
        sb.append(", hmShopCode=").append(hmShopCode);
        sb.append(", hmShopName=").append(hmShopName);
        sb.append(", itemName=").append(itemName);
        sb.append(", customerName=").append(customerName);
        sb.append(", customerPhone=").append(customerPhone);
        sb.append(", customerMaskPhone=").append(customerMaskPhone);
        sb.append(", customerAddr=").append(customerAddr);
        sb.append(", customerSource=").append(customerSource);
        sb.append(", status=").append(status);
        sb.append(", hmStatus=").append(hmStatus);
        sb.append(", writeTime=").append(writeTime);
        sb.append(", payTime=").append(payTime);
        sb.append("]");
        return sb.toString();
    }
}